# Interface Identifier

All Known Subinterfaces:
  `ReferenceIdentifier`

All Known Implementing Classes:
  `DefaultIdentifier, ImmutableIdentifier, NamedIdentifier`

@UML(identifier="MD_Identifier", specification=ISO_19115) public interface Identifier
Value uniquely identifying an object within a namespace.

Since:
  2.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AUTHORITY_KEY`
  Key for the `"authority"` property to be given to the CRS factory `createFoo(…)` methods.
  `static final String`
  `CODE_KEY`
  Key for the `"code"` property to be given to the CRS factory `createFoo(…)` methods.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Citation`
  `getAuthority()`
  Organization or party responsible for definition and maintenance of the code.
  `String`
  `getCode()`
  Alphanumeric value identifying an instance in the namespace.

- ## Field Details

  - ### CODE_KEY

    static final String CODE_KEY
    Key for the `"code"` property to be given to the CRS factory `createFoo(…)` methods. This is used for setting the value to be returned by `getCode()`.
    See Also:
      - `getCode()`
      - Constant Field Values

  - ### AUTHORITY_KEY

    static final String AUTHORITY_KEY
    Key for the `"authority"` property to be given to the CRS factory `createFoo(…)` methods. This is used for setting the value to be returned by `getAuthority()`.
    See Also:
      - `getAuthority()`
      - Constant Field Values

- ## Method Details

  - ### getCode

    @UML(identifier="code", obligation=MANDATORY, specification=ISO_19115) String getCode()
    Alphanumeric value identifying an instance in the namespace.
    Returns:
      Value identifying an instance in the namespace.

  - ### getAuthority

    @UML(identifier="authority", obligation=OPTIONAL, specification=ISO_19115) Citation getAuthority()
    Organization or party responsible for definition and maintenance of the code.
    Returns:
      Party responsible for definition and maintenance of the code.